SEAL TaskResult Rules #1.00

// [Application.exe]

// LogFilesDir=directory name where log files are stored

// LogFileNameMask=file name mask / specific file name
// LogFileMode=WholeFile/Incremental

// when is specified:
//   LogFileNameMask=mask e.g. *.txt and 
//     LogFileMode=WholeFile - newly created *.txt file is processed as logfile
//     LogFileMode=Incremental - newly created *.txt file or text appended to newest *.txt file is processed as logfile

//   LogFileNameMask=specific file e.g. logfile.txt and 
//     LogFileMode=WholeFile - whole file logfile.txt is processed as logfile
//     LogFileMode=Incremental - text appended to logfile.txt file is processed as logfile


// LogFileViewer=command line for application able to display specified log
// position of logfile in the command line is marked with $logfile$ mark e.g.
// notepad.exe $logfile$

// LogFileEncoding=AUTO/UTF8/ANSI/UCS2
// AUTO - file encoding is recognized by first bytes according to the byte order mark (BOM)
// which is 0xEF 0xBB 0xBF for UTF8 and 0xFF 0xFE for UCS2
// ANSI means single byte encoding in system locale

// LogFileHeader=text in first line - also known BOM may be contained
// LogFileResultRegExpPatternEnglish=regular expression pattern for english result description
// LogFileResultRegExpPatternLocalized=regular expression pattern for localized result description
// if none subpattern is specified, then whole result of match is used as task result
// if one or more subpatterns are specified, then first subpattern is used as task result

// ExitCode N=description of exit code N
// N is decimal / hexadecimal (with prefix $ or 0x)
// e.g.
// ExitCode 10=description of exit code 10 (decimal)
// is same as
// ExitCode $A=description of exit code 10 (decimal)
// is same as
// ExitCode 0xA=description of exit code 10 (decimal)

// ExitCodeBit N=when is bit N set, then to result include this text
// where N is N is decimal / hexadecimal (with prefix $ or 0x) number 0..31 / 0x0..0x1F / $0..$1F


// =========================================


[.\Modules\Backup\BackupPlus.exe]

LogFilesDir=.\Logs\CBackupPlus
LogFileNameMask=*.sbl
LogFileMode=WholeFile
LogFileViewer=notepad.exe $logfile$
LogFileEncoding=AUTO
LogFileHeader=SEAL Backup LogFile VER #2.00
LogFileResultRegExpPatternEnglish=^\*\*Result\*O\*(.*)$
LogFileResultRegExpPatternLocalized=^\*\*Result\*L\*(.*)$

ExitCode $0=OK

ExitCodeBit 0=Aborted
ExitCodeBit 1=No files backuped
ExitCodeBit 2=Not all files backuped
ExitCodeBit 3=Some folders unaccessible
ExitCodeBit 4=Some folders not exists
ExitCodeBit 5=Not enought space



[.\Modules\Backup\BackupPlusG2.exe]

LogFilesDir=.\Logs\CBackupPlus
LogFileNameMask=*.sbl
LogFileMode=WholeFile
LogFileViewer=notepad.exe $logfile$
LogFileEncoding=AUTO
LogFileHeader=SEAL Backup LogFile VER #2.00
LogFileResultRegExpPatternEnglish=^\*\*Result\*O\*(.*)$
LogFileResultRegExpPatternLocalized=^\*\*Result\*L\*(.*)$

ExitCode $0=OK

ExitCodeBit 0=Aborted
ExitCodeBit 1=No files backuped
ExitCodeBit 2=Not all files backuped
ExitCodeBit 3=Some folders unaccessible
ExitCodeBit 4=Some folders not exists
ExitCodeBit 5=Not enought space



[.\Modules\Image\Image.exe]

LogFilesDir=.\Logs\CImage
LogFileNameMask=*.sil
LogFileMode=WholeFile
LogFileViewer=notepad.exe $logfile$
LogFileEncoding=AUTO
LogFileHeader=SEAL Images LogFile VER #1.00
LogFileResultRegExpPatternEnglish=^\*\*Result\*O\*(.*)$
LogFileResultRegExpPatternLocalized=^\*\*Result\*L\*(.*)$

ExitCode $0=OK

ExitCodeBit 0=Aborted
ExitCodeBit 1=None images copied
ExitCodeBit 2=Not all images copied
ExitCodeBit 3=PHYLock Error



[.\Modules\NTBackup\WSBackup.exe]

ExitCode $0=OK



[.\Modules\vmwBackup\vmwBackup.exe]

LogFilesDir=.\Logs\CvmwBackup
LogFileNameMask=*.svl
LogFileMode=WholeFile
LogFileViewer=notepad.exe $logfile$
LogFileEncoding=AUTO
LogFileHeader=SEAL vmwBackup LogFile VER #1.00
LogFileResultRegExpPatternEnglish=^\*\*Result\*O\*(.*)$
LogFileResultRegExpPatternLocalized=^\*\*Result\*L\*(.*)$

ExitCode $0=OK

ExitCodeBit 0=Aborted
ExitCodeBit 1=None VM backuped
ExitCodeBit 2=Some VM backuped
ExitCodeBit 3=Unaccessible destination
ExitCodeBit 5=Not enought space
ExitCodeBit 7=Copy to transport medium fail
ExitCodeBit 8=Copy to offsite storage fail


[.\Modules\vmwBackupG2\bin\vmwBackupG2.exe]

LogFilesDir=.\Logs\CvmwBackupG2
LogFileNameMask=*.svl
LogFileMode=WholeFile
LogFileViewer=notepad.exe $logfile$
LogFileEncoding=AUTO
LogFileHeader=SEAL vmwBackup LogFile VER #1.00
LogFileResultRegExpPatternEnglish=^\*\*Result\*O\*(.*)$
LogFileResultRegExpPatternLocalized=^\*\*Result\*L\*(.*)$

ExitCode $0=OK

ExitCodeBit 0=Aborted
ExitCodeBit 1=None VM backuped
ExitCodeBit 2=Some VM backuped
ExitCodeBit 3=Unaccessible destination
ExitCodeBit 5=Not enought space
ExitCodeBit 7=Copy to transport medium fail
ExitCodeBit 8=Copy to offsite storage fail

